openhub.net
Black Duck Software, Inc.
Open Hub
Follow @
OH
Sign In
Join Now
Projects
People
Organizations
Tools
Blog
BDSA
Projects
People
Projects
Organizations
B
bouncy Castle Java
Settings
1
I Use This!
×
Login Required
Log in to Open Hub
Remember Me
Very High Activity
Commits
: Listings
Analyzed
about 4 hours
ago. based on code collected
1 day
ago.
Nov 07, 2025 — Nov 07, 2026
Showing page 51 of 806
Search / Filter on:
Commit Message
Contributor
Files Modified
Lines Added
Lines Removed
Code Location
Date
Removed the unused org.bouncycastle.iana.AEADAlgorithm constants class, a leftover of the expired draft-zauner-tls-aes-ocb, together with its module exports
David Hook
More...
4 months ago
Made the SDitH engines package-private in line with the other PQC engine classes, the public API surface is the key pair generator and signer
David Hook
More...
4 months ago
Made the SDitH engines package-private in line with the other PQC engine classes, the public API surface is the key pair generator and signer
David Hook
More...
4 months ago
Added JCA/JCE provider test coverage for AIMer and a BC-provider key-info converter test sweeping all 36 MQOM parameter sets, added AIMerParameterSpec to the fromName round-trip sweep
David Hook
More...
4 months ago
Added JCA/JCE provider test coverage for AIMer and a BC-provider key-info converter test sweeping all 36 MQOM parameter sets, added AIMerParameterSpec to the fromName round-trip sweep
David Hook
More...
4 months ago
Removed the Dilithium, SPHINCSPlus and Kyber JCE wrappers from the BC and BCPQC providers as announced in the 1.84 release notes, the low-level implementations remain available
David Hook
More...
4 months ago
Export the new org.bouncycastle.crypto.bls package from the provider module descriptors and add its package-info
David Hook
More...
4 months ago
Cleaned up 1.85 release notes: removed duplicated policy-tree and Falcon entries, fixed section numbering and unescaped angle-bracket literals, completed the GOST3410ParametersGenerator entry and reworded the ML-DSA and HQC entries
David Hook
More...
4 months ago
Removed the Dilithium, SPHINCSPlus and Kyber JCE wrappers from the BC and BCPQC providers as announced in the 1.84 release notes, the low-level implementations remain available
David Hook
More...
4 months ago
Export the new org.bouncycastle.crypto.bls package from the provider module descriptors and add its package-info
David Hook
More...
4 months ago
Cleaned up 1.85 release notes: removed duplicated policy-tree and Falcon entries, fixed section numbering and unescaped angle-bracket literals, completed the GOST3410ParametersGenerator entry and reworded the ML-DSA and HQC entries
David Hook
More...
4 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java
David Hook
More...
4 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java
David Hook
More...
4 months ago
moved to 1.85 release
David Hook
More...
4 months ago
moved to 1.85 release
David Hook
More...
4 months ago
Reject a key whose tree digest is outside the named XMSS/XMSS^MT signer family with InvalidKeyException, keeping the generic and pre-hash signers key-driven, relates to github #2176.
David Hook
More...
4 months ago
Reject a key whose tree digest is outside the named XMSS/XMSS^MT signer family with InvalidKeyException, keeping the generic and pre-hash signers key-driven, relates to github #2176.
David Hook
More...
4 months ago
CMS: type-check asn1.cms.Attribute decode (no ClassCastException past the verify contract)
Gefei Li
More...
4 months ago
Merge branch 'cms-attribute-type-guard' into 'main'
David Hook
More...
4 months ago
CMS: type-check asn1.cms.Attribute decode (no ClassCastException past the verify contract)
Gefei Li
More...
4 months ago
Merge branch 'cms-attribute-type-guard' into 'main'
David Hook
More...
4 months ago
Move the ASN.1 max-construction-depth and max-length stream property names out of private StreamUtil constants into public Properties.ASN1_MAX_CONS_DEPTH / Properties.ASN1_MAX_LIMIT (values unchanged), mirrored into the jdk1.4 Properties overlay and referenced from StreamLimitTest.
David Hook
More...
4 months ago
Move the ASN.1 max-construction-depth and max-length stream property names out of private StreamUtil constants into public Properties.ASN1_MAX_CONS_DEPTH / Properties.ASN1_MAX_LIMIT (values unchanged), mirrored into the jdk1.4 Properties overlay and referenced from StreamLimitTest.
David Hook
More...
4 months ago
Add a KeyPurposeId OID unit test covering the recently-added Extended Key Usage constants (id_kp_documentSigning RFC 9336, id_kp_imUri RFC 9734, and the four RFC 9809 constants), guarding their id-kp branch numbers against typos.
David Hook
More...
4 months ago
Add a KeyPurposeId OID unit test covering the recently-added Extended Key Usage constants (id_kp_documentSigning RFC 9336, id_kp_imUri RFC 9734, and the four RFC 9809 constants), guarding their id-kp branch numbers against typos.
David Hook
More...
4 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java
David Hook
More...
4 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java
David Hook
More...
4 months ago
Grow ASN.1 definite-length objects incrementally via Streams.readLenBytesFully() rather than allocating the full declared length up front, so a short crafted header over a raw stream cannot drive a heap-sized allocation before any data is read (CWE-789); DefiniteLengthInputStream.toByteArray() reads through the stream itself so the "DEF length ... object truncated by ..." truncation message is preserved.
David Hook
More...
4 months ago
Grow ASN.1 definite-length objects incrementally via Streams.readLenBytesFully() rather than allocating the full declared length up front, so a short crafted header over a raw stream cannot drive a heap-sized allocation before any data is read (CWE-789); DefiniteLengthInputStream.toByteArray() reads through the stream itself so the "DEF length ... object truncated by ..." truncation message is preserved.
David Hook
More...
4 months ago
Be lenient about the ASN.1 string type for an SGP22 EUM IIN (serialNumber)
Peter Dettman
More...
4 months ago
←
1
2
…
47
48
49
50
51
52
53
54
55
…
805
806
→
This site uses cookies to give you the best possible experience. By using the site, you consent to our use of cookies. For more information, please see our
Privacy Policy
Agree